Subject: [Pce] Feedback to the NomCom

From: Dhruv Dhody <[email-masked]>
Date: Wed, 11 Nov 2020 13:04:35 +0530

Hi WG,

NomCom requires feedback from the community to select the best
candidate for the various leadership positions (IETF chair, AD, etc).
The feedback could also be regarding any concerns that you may have
regarding the functioning of the IETF.

You can find a helpful mail from the Nomcom Chair here -
https://mailarchive.ietf.org/arch/msg/ietf/5al6WVDVMB5QpGTi98nml0Mu9LU/

Please do your civic duty [ :) ] and provide feedback to the Nomcom
before Nov 20th at https://datatracker.ietf.org/nomcom/2020/feedback/
or [email-masked].

Thanks!
PCE Chairs